WrapUp Message

When an agent wants to tag full or portions of a conversation by attaching admin-defined categories (from the UI) to it, the Wrap Up message API is used.


1. Defining Wrap-ups in Unified Admin

Wrap-up categories and options are configured and managed by administrators in the Unified Admin portal ({UNIFIED_ADMIN_URL}).

  • For step-by-step instructions on configuring wrap-up categories and reasons in Unified Admin, refer to:
    Add Wrap-ups


2. Fetching Wrap-ups (API Mechanism)

To display wrap-ups in the agent interface or custom integration, wrap-up categories and options are retrieved using the Unified Admin Forms API.

Base URL: {{UNIFIED_ADMIN_URL}}
Form ID: 62d07f4f0980a50a91210bef

Flow Summary

Wrap-ups are loaded in 2 steps:

  1. Fetch Categories (Accordion / Group titles)

  2. Fetch Options (Wrap-up codes inside each category)

  3. (Optional) Search (Direct search across all wrap-ups)


Step 1: Get Categories

Fetches the list of categories.

  • Endpoint: GET /forms/paginatedForm/62d07f4f0980a50a91210bef

  • Query Parameters:

    level=categories
    sectionIndex=0
    attributeIndex=0
    page=1
    limit=5
    
    
  • Response:

    JSON
    {
      "categories": [
        {
          "label": "Billing",
          "_categoryIndex": 0
        },
        {
          "label": "Support",
          "_categoryIndex": 1
        }
      ],
      "metadata": {
        "currentPage": 1,
        "totalPages": 2,
        "totalCategories": 6,
        "hasMore": true
      }
    }
    
    

Step 2: Get Options for a Category

Fetches the wrap-up codes for a specific category using its _categoryIndex.

  • Endpoint: GET /forms/paginatedForm/62d07f4f0980a50a91210bef

  • Query Parameters:

    level=options
    sectionIndex=0
    attributeIndex=0
    categoryIndex=0
    page=1
    limit=20
    
    
  • Response:

    JSON
    {
      "options": [
        {
          "label": "Overcharge Query",
          "value": "Overcharge Query"
        },
        {
          "label": "Payment Received",
          "value": "Payment Received"
        }
      ],
      "metadata": {
        "currentPage": 1,
        "totalOptions": 15,
        "hasMore": false
      }
    }
    
    

Step 3: Search Wrap-ups (Optional)

Searches across all wrap-up codes by text query.

  • Endpoint: GET /forms/wrapupSearch/62d07f4f0980a50a91210bef

  • Query Parameters:

    q=payment
    sectionIndex=0
    attributeIndex=0
    page=1
    limit=20
    
    
  • Response:

    JSON
    {
      "results": [
        {
          "categoryName": "Billing",
          "label": "Payment Received",
          "value": "Payment Received"
        }
      ],
      "metadata": {
        "currentPage": 1,
        "totalMatches": 1,
        "hasMore": false
      }
    }
    

Users can now add wrapups to the conversation as a wrapup message.

Property

Desc.

type - String - Required

value = "WRAPUP"

wrapups- Array - Required

more than one category can be attached.

Parameters:

  • categoryName - Required - category as selected by the agent

  • value - Required - any value as specified by the agent

markdownText - String - Optional

contains custom plain text sent by end user.

note - String - Optional

Additional details as added by the agent.

{
        "markdownText": " ",
            "type": "WRAPUP",
            "wrapups": [
            {
                "categoryName": "Category1",
                "value": "internet disconnectivity"
            },
            {
                "categoryName": "Category2",
                "value": "plan upgradation"
            }
           ],
        "note": "optional"

}